commit:     f74fabfe65799ba164b81853bcbe90a2fc0da8c0
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 22 21:30:01 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Jul 22 22:04:26 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f74fabfe

dev-python/mpi4py: 3.0.2 version bump

Thanks-to: Juergen Rose <rose <AT> rz.uni-potsdam.de>
Closes: https://bugs.gentoo.org/685780
Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 dev-python/mpi4py/Manifest            |  1 +
 dev-python/mpi4py/mpi4py-3.0.2.ebuild | 51 +++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-python/mpi4py/Manifest b/dev-python/mpi4py/Manifest
index 0c42bfee8f5..df101d6469c 100644
--- a/dev-python/mpi4py/Manifest
+++ b/dev-python/mpi4py/Manifest
@@ -1,2 +1,3 @@
 DIST mpi4py-2.0.0.tar.gz 1279957 BLAKE2B 
ad75492ec09edbf6663a8962bcb4592c076ef47cdf8a9c14275077dea0abf4ce01f928d03eec80941fec37941c2ba99287263b71436baf7ed755a84cca2ea983
 SHA512 
6459b482db782fea1a80499774ebfeb09c828b6c3f1805a0ca306f26f3ebcac52ad1c83bb97a98a01b518b6a6c887f6b99dbda9c37381a5ce05ddff0edb16d81
 DIST mpi4py-3.0.0.tar.gz 1426843 BLAKE2B 
a68182c6abebac6af73654f04db9eba38f020793a9f6d0f98a5e4a483b0531e44aca3c853c20572123cc02331350bf98f8405ddd12b77e79de732f714437da9f
 SHA512 
29ce8b7fd187aadd0bf8e1928ed00cac3e898ff82432b7a95984a248559b0d580c5af418b1986d83b17ad2cf8cbb45135afacf290ba4d9b75a62b03e9ca08e16
+DIST mpi4py-3.0.2.tar.gz 1429331 BLAKE2B 
9e35749a82698ec656553583f01ebd8edbfb3b649c7693a9ff63f9f6abfa3fd41a54cbe4e3a1de55cbaf4dc626602706c776c505d0f5c0d82ebe88f2b4ceeddb
 SHA512 
0a18332fd45e8e80b8dab0761fbaa30444a0d55776af7a2333be17ade827e92d04ac5bb8619ce26937142f344f75de0e5ef6dcb7502f33389716aa9482ddf5ab

diff --git a/dev-python/mpi4py/mpi4py-3.0.2.ebuild 
b/dev-python/mpi4py/mpi4py-3.0.2.ebuild
new file mode 100644
index 00000000000..a9ab0f63460
--- /dev/null
+++ b/dev-python/mpi4py/mpi4py-3.0.2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Message Passing Interface for Python"
+HOMEPAGE="https://bitbucket.org/mpi4py/ https://pypi.org/project/mpi4py/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples test"
+
+RDEPEND="virtual/mpi"
+DEPEND="${RDEPEND}
+       test? (
+               dev-python/nose[${PYTHON_USEDEP}]
+               virtual/mpi[romio]
+       )
+"
+
+DISTUTILS_IN_SOURCE_BUILD=1
+
+python_prepare_all() {
+       # not needed on install
+       rm -vr docs/source || die
+       distutils-r1_python_prepare_all
+}
+
+src_compile() {
+       export FAKEROOTKEY=1
+       distutils-r1_src_compile
+}
+
+python_test() {
+       echo "Beginning test phase"
+       pushd "${BUILD_DIR}"/../ &> /dev/null || die
+       mpiexec -n 2 "${PYTHON}" ./test/runtests.py -v || die "Testsuite failed 
under ${EPYTHON}"
+       popd &> /dev/null || die
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/. )
+       use examples && local DOCS=( demo )
+       distutils-r1_python_install_all
+}

Reply via email to